Create Order
curl --request POST \
--url https://api.kyckr.com/v2/orders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"kyckrId": "<string>",
"productId": "<string>",
"schemaVersion": "2.0",
"customerReference": "<string>",
"contactEmail": "jsmith@example.com"
}
'import requests
url = "https://api.kyckr.com/v2/orders"
payload = {
"kyckrId": "<string>",
"productId": "<string>",
"schemaVersion": "2.0",
"customerReference": "<string>",
"contactEmail": "jsmith@example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
kyckrId: '<string>',
productId: '<string>',
schemaVersion: '2.0',
customerReference: '<string>',
contactEmail: 'jsmith@example.com'
})
};
fetch('https://api.kyckr.com/v2/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<unknown>"{
"orderId": 12345,
"correlationId": "string",
"customerReference": "string",
"timeStamp": "2019-08-24T14:15:22Z",
"details": "string",
"cost": {
"type": "credit",
"value": 0
},
"links": {
"self": "../dictionary"
},
"data": {
"type": "https://httpstatuses.com/400",
"title": "Missing Parameter",
"detail": "The `isoCode` parameter is required",
"errors": []
}
}{
"orderId": 12345,
"correlationId": "string",
"customerReference": "string",
"timeStamp": "2019-08-24T14:15:22Z",
"details": "string",
"cost": {
"type": "credit",
"value": 0
},
"links": {
"self": "../dictionary"
},
"data": {
"type": "https://httpstatuses.com/401",
"title": "Unauthorized",
"detail": "Please authorize before making requests",
"errors": []
}
}{
"orderId": 12345,
"correlationId": "string",
"customerReference": "string",
"timeStamp": "2019-08-24T14:15:22Z",
"details": "string",
"cost": {
"type": "credit",
"value": 0
},
"links": {
"self": "../dictionary"
},
"data": {
"type": "https://httpstatuses.com/403",
"title": "Forbidden",
"detail": "This feature is not available on this account",
"errors": []
}
}{
"orderId": 12345,
"correlationId": "string",
"customerReference": "string",
"timeStamp": "2019-08-24T14:15:22Z",
"details": "string",
"cost": {
"type": "credit",
"value": 0
},
"links": {
"self": "../dictionary"
},
"data": {
"type": "https://httpstatuses.com/429",
"title": "Too Many Requests",
"detail": "This service only allows 50 requests within a 10 minute period",
"errors": []
}
}Orders
Create Order
Create an Order
POST
/
orders
Create Order
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
🚧 Preview — planned, not yet available in production. Optional schema version for the product response payload. Defaults to the latest available version when omitted. Server supports the current major version (N) and the previous one (N-1); requests for older versions return 410 Gone with a list of supported versions in the response body. Responses for deprecated versions include Sunset (RFC 8594) and Deprecation (RFC 9745) headers.
Example:
"2.0"
An email address that can be contacted in case of issues with the order
Response
Created
The response is of type any.
⌘I